ru.bitel.bgbilling.modules.ticket.server.bean

## Class TicketChargeEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.event.QueueEvent
    - - ru.bitel.bgbilling.kernel.contract.balance.server.event.ChargeEvent
      - - ru.bitel.bgbilling.modules.ticket.server.bean.TicketChargeEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class TicketChargeEvent
      extends ChargeEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TicketChargeEvent(int userId, Charge charge, java.util.Map<?,?> requestParameters, int ticketId, int transId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Map<?,?>` | `getParameters()`
    `int` | `getTicketId()`
    `int` | `getTransId()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.balance.server.event.ChargeEvent

      `getCharge, getTypeId, isEditMode`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TicketChargeEvent

          public TicketChargeEvent(int userId,
                                   Charge charge,
                                   java.util.Map<?,?> requestParameters,
                                   int ticketId,
                                   int transId)

  - ### Method Detail

    - #### getParameters

          public java.util.Map<?,?> getParameters()

    - #### getTicketId

          public int getTicketId()

    - #### getTransId

          public int getTransId()